@echo off
cd BIOS
echo Checking ROM file .....
ckmode DH170000.210 DH170 4038
if errorlevel 1 goto end

:flash
fpt -f DH170000.210 -savemac
if errorlevel 1 goto end
call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit
